package io.renren.common.utils;

import com.aliyuncs.CommonRequest;
import com.aliyuncs.CommonResponse;
import com.aliyuncs.DefaultAcsClient;
import com.aliyuncs.IAcsClient;
import com.aliyuncs.exceptions.ClientException;
import com.aliyuncs.exceptions.ServerException;
import com.aliyuncs.http.MethodType;
import com.aliyuncs.profile.DefaultProfile;

public class AliyunSmsUtils {
        public static String sendSms(String...params) {
        DefaultProfile profile = DefaultProfile.getProfile("cn-hangzhou", "LTAI4G9gC4LEJaFNU6eSaB8W", "42mTm89pNQMVHALMWmIuFMfjf5GJFV");
        IAcsClient client = new DefaultAcsClient(profile);

        CommonRequest request = new CommonRequest();
        request.setSysMethod(MethodType.POST);
        request.setSysDomain("dysmsapi.aliyuncs.com");
        request.setSysVersion("2017-05-25");
        request.setSysAction("SendSms");
        request.putQueryParameter("RegionId", "cn-hangzhou");
        request.putQueryParameter("PhoneNumbers", params[0]);
        request.putQueryParameter("SignName", params[1]);
        request.putQueryParameter("TemplateCode", params[2]);
        request.putQueryParameter("TemplateParam", params[3]);
        CommonResponse response = new CommonResponse();
        try {
            response = client.getCommonResponse(request);
            // System.out.println(response.getData());
        } catch (ServerException e) {
            e.printStackTrace();
        } catch (ClientException e) {
            e.printStackTrace();
        }
        return response.getData();
    }
}